
//Shaderfile for "LOST EGYPTIAN"
//Level for Quake III Arena
//Written by Elmar Steinbck


//lights:

textures/egyptians/ankhlite_ylw
{
	qer_editorimage textures/egyptians/ankhlite_ylw.tga
	q3map_surfacelight 200
	q3map_lightimage textures/egyptians/ankhlite_ylw.blend.tga	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/egyptians/ankhlite_wht.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/egyptians/ankhlite_ylw.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave triangle 0.6 .4 0.6 0.2
	}
}

//weaponpads:

textures/egyptians/oldbrk_01broken13
{
	qer_editorimage textures/egyptians/oldbrk_01broken13.tga

	{
		map textures/egyptians/oldbrk_01broken13.tga
		rgbGen identity
	}	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}	

	{
		clampmap textures/egyptians/bounce_effects.tga
		blendfunc gl_one gl_one
		//tcMod stretch sin .5 .4 .0 2.0

		tcMod stretch sin .5 .5 0 .5

		//rgbGen wave sin .5 .5 .0 2.0
		rgbGen wave sin .5 .5 0 .5
	}
}


// TELEPORTER:

textures/egyptians/stei_tele2
{ 
	qer_editorimage textures/egyptians/stei_tele2.jpg
	surfaceparm nomarks
        surfaceparm trans
	surfaceparm nonsolid
	q3map_lightimage textures/egyptians/stei_tele2.jpg
	q3map_surfacelight 400
	q3map_lightsubdivide 64
	cull none
        	
	{
	 	map textures/egyptians/stei_tele2.jpg
		blendFunc add
		tcMod turb .2 .1 .9 .1
		tcMod scroll .200 .200
		rgbgen identity
		depthwrite
        }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

			
}


// plants:

textures/egyptians/plant_egy

{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
    deformVertexes autoSprite
        
	{
        map textures/egyptians/plant_egy.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}


textures/egyptians/leaf

{
    cull disable
    surfaceparm alphashadow
//  deformVertexes autoSprite
    surfaceparm trans	
        {
        map textures/egyptians/leaf.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}


//end of shader-file
